Summary:	Fonts for TV programs (fbtv, motv, ttv, xawtv)
Name:		tv-fonts
Version:	1.1
Release:	17
Group:		Video
License:	GPLv2+
Url:		http://bytesex.org/xawtv
Source0:	%{name}-%{version}.tar.bz2
Patch0:		tv-fonts-Makefile.patch
BuildRequires:	bdftopcf
BuildRequires:	mkfontdir
BuildRequires:	mkfontscale
Requires:	mkfontscale
Requires:	mkfontdir
Requires(post,postun):	mkfontdir
BuildArch:	noarch

%description
Tv-fonts is a set of fonts, mainly used by xawtv.

%files
%doc README
%{_datadir}/fonts/misc

%post
cd %{_datadir}/fonts/misc
%{_prefix}/bin/mkfontdir
if [ -f /var/lock/subsys/xfs ]; then
    service xfs restart || true
fi
test -n "$DISPLAY" && xset fp rehash || true

%postun
if [ "$1" = "0" ]; then
    cd %{_datadir}/fonts/misc
    %{_prefix}/bin/mkfontdir
    if [ -f /var/lock/subsys/xfs ]; then
	service xfs restart || true
    fi
    test -n "$DISPLAY" && xset fp rehash || true
fi

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
# to prevent make doing some xset stuff :
# Geoff -- only unset if DISPLAY is present or it will return 1 and
# build will barf.
[ -n "$DISPLAY" ] && unset DISPLAY
%make

%install
mkdir -p %{buildroot}%{_datadir}/fonts/misc/
install *.gz %{buildroot}%{_datadir}/fonts/misc/

cat <<EOF >> README

Tv-fonts is a set of fonts, mainly used by xawtv.

They used to be bundled with xawtv but starting with version 3.75,
xawtv does not come with the fonts bundled any more. 

So come tv-fonts.

This package is required by xawtv-common
EOF


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.1-17
+ Revision: 602ea5e
- MassBuild#440: Increase release tag


